org.apache.sling.nosql.generic.resource

## Class AbstractNoSqlResourceProviderFactory

- java.lang.Object
- - org.apache.sling.nosql.generic.resource.AbstractNoSqlResourceProviderFactory

All Implemented Interfaces:
  org.apache.sling.api.resource.ResourceProviderFactory

    public abstract class AbstractNoSqlResourceProviderFactory
    extends Object
    implements org.apache.sling.api.resource.ResourceProviderFactory

Abstract implementation of resource provider factory. NoSQL resource providers implement this, add their own configuration support and and provide the matching NoSQL adapter implementation.

### Field Summary

### Fields inherited from interface org.apache.sling.api.resource.ResourceProviderFactory

`PROPERTY_REQUIRED, SERVICE_BUNDLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractNoSqlResourceProviderFactory()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`org.apache.sling.api.resource.ResourceProvider` `getAdministrativeResourceProvider(Map<String,Object> authenticationInfo)`
`protected abstract org.osgi.service.event.EventAdmin` `getEventAdmin()`
`protected abstract NoSqlAdapter` `getNoSqlAdapter()`
`org.apache.sling.api.resource.ResourceProvider` `getResourceProvider(Map<String,Object> authenticationInfo)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractNoSqlResourceProviderFactory

    public AbstractNoSqlResourceProviderFactory()

### Method Detail

#### getResourceProvider

    public final org.apache.sling.api.resource.ResourceProvider getResourceProvider(Map<String,Object> authenticationInfo)
                                                                             throws org.apache.sling.api.resource.LoginException

Specified by:
  `getResourceProvider` in interface `org.apache.sling.api.resource.ResourceProviderFactory`
Throws:
  `org.apache.sling.api.resource.LoginException`

#### getAdministrativeResourceProvider

    public final org.apache.sling.api.resource.ResourceProvider getAdministrativeResourceProvider(Map<String,Object> authenticationInfo)
                                                                                           throws org.apache.sling.api.resource.LoginException

Specified by:
  `getAdministrativeResourceProvider` in interface `org.apache.sling.api.resource.ResourceProviderFactory`
Throws:
  `org.apache.sling.api.resource.LoginException`

#### getNoSqlAdapter

    protected abstract NoSqlAdapter getNoSqlAdapter()

#### getEventAdmin

    protected abstract org.osgi.service.event.EventAdmin getEventAdmin()